<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

/**
 * Main controller of com_cmshorturl.
 *
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @since       1.0.0
 */
class CMShortURLController extends JControllerLegacy
{
	/**
	 * Default view.
	 *
	 * @var    string
	 * @since  1.0.0
	 */
	protected $default_view = 'urls';

	/**
	 * Method to display a view.
	 *
	 * @param   boolean  $cachable   If true, the view output will be cached
	 * @param   array    $urlparams  An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController
	 *
	 * @since   1.0.0
	 */
	public function display($cachable = false, $urlparams = false)
	{
		$view	= $this->input->get('view', 'urls');
		$layout	= $this->input->get('layout', 'default');
		$id		= $this->input->getInt('id');

		// Check for edit form.
		// Somehow user just access the form directly, we don't allow that.
		$views = array('url', 'source', 'campaign');

		foreach ($views as $v)
		{
			if ($view == $v && $layout == 'edit' && !$this->checkEditId('com_cmshorturl.edit.' . $v, $id))
			{
				$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
				$this->setMessage($this->getError(), 'error');
				$this->setRedirect(JRoute::_('index.php?option=com_cmshorturl&view=' . $v . 's', false));

				return false;
			}
		}

		parent::display();

		return $this;
	}
}
