<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

/**
 * Form field class to display authorization info.
 *
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @since       1.0.0
 */
class JFormFieldCMSPAuthorizationMsg extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  1.0.0
	 */
	public $type = 'CMSPAuthorizationMsg';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   1.0.0
	 */
	protected function getInput()
	{
		$accountId = JFactory::getApplication()->input->get('id', 0, 'integer');

		return ($accountId > 0) ? JText::_('COM_CMSHORTURL_AUTHORIZATION_MESSAGE_EXISTING') : JText::_('COM_CMSHORTURL_AUTHORIZATION_MESSAGE_NEW');
	}
}
