<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$canEdit	= $user->authorise('core.edit', 'com_cmshorturl');

JFactory::getDocument()->addStyleSheet('components/com_cmshorturl/assets/css/font-awesome.min.css');
?>
<form action="<?php echo JRoute::_('index.php?option=com_cmshorturl&view=logs'); ?>" method="post" name="adminForm" id="adminForm">
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
		<?php
		// Search toolbar.
		echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
		?>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
			<table class="table table-striped" id="logList">
				<thead>
					<tr>
						<th width="1%" class="hidden-phone">
							<?php echo JHtml::_('grid.checkall'); ?>
						</th>
						<th>
							<?php echo JHtml::_('searchtools.sort', 'COM_CMSHORTURL_URL_FIELD_ALIAS_LABEL', 'alias', $listDirn, $listOrder); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_URL_FIELD_URL_LABEL'); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_LOG_FIELD_HTTP_REFERER_LABEL'); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_LOG_FIELD_HTTP_USER_AGENT_LABEL'); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_LOG_FIELD_REMOTE_ADDR_LABEL'); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_LOG_FIELD_VISITED_LABEL'); ?>
						</th>
						<th width="1%" class="hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="8">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
					<?php foreach ($this->items as $i => $item) : ?>
					<tr class="row<?php echo $i % 2; ?>" sortable-group-id="">
						<td class="hidden-phone">
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						<td>
							<?php echo $this->escape($item->alias); ?>
						<td>
							<?php echo JHtml::_('cmshorturl.url', $item->url); ?>
						</td>
						<td>
							<?php echo $item->http_referer; ?>
						</td>
						<td>
							<?php echo JHtml::_('cmshorturl.userAgent', $item->http_user_agent); ?>
						</td>
						<td>
							<?php echo $item->remote_addr; ?>
						</td>
						<td>
							<?php echo $item->visited; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->id; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
