<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$canEdit	= $user->authorise('core.edit', 'com_cmshorturl');
$displayUTM	= $this->params->get('utm_params');
$menuItemId	= CMShortURLHelper::getMenuItemId();

JFactory::getDocument()->addStyleSheet('components/com_cmshorturl/assets/css/font-awesome.min.css');
?>
<form action="<?php echo JRoute::_('index.php?option=com_cmshorturl&view=urls'); ?>" method="post" name="adminForm" id="adminForm">
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
		<?php
		// Search toolbar.
		echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
		?>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
			<table class="table table-striped" id="urlList">
				<thead>
					<tr>
						<th width="1%" class="hidden-phone">
							<?php echo JHtml::_('grid.checkall'); ?>
						</th>
						<th>
							<?php echo JHtml::_('searchtools.sort', 'COM_CMSHORTURL_URL_FIELD_ALIAS_LABEL', 'a.alias', $listDirn, $listOrder); ?>
						</th>
						<th>
							<?php echo JText::_('COM_CMSHORTURL_URL_FIELD_URL_LABEL'); ?>
						</th>
						<?php if ($displayUTM) : ?>
						<th class="hidden-phone">utm_campaign</th>
						<th class="hidden-phone">utm_medium</th>
						<th class="hidden-phone">utm_source</th>
						<th class="hidden-phone">utm_content</th>
						<th class="hidden-phone">utm_term</th>
						<?php endif; ?>
						<th>
							<?php echo JHtml::_('searchtools.sort', 'COM_CMSHORTURL_URL_FIELD_HITS_LABEL', 'a.hits', $listDirn, $listOrder); ?>
						</th>
						<th width="1%" class="hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
						<th width="1%"></th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="<?php echo ($displayUTM) ? 11 : 6; ?>">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
					<?php foreach ($this->items as $i => $item) :
						$canCheckin	= $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;
						$canChange	= $user->authorise('core.edit.state', 'com_cmshorturl') && $canCheckin;
						?>
					<tr class="row<?php echo $i % 2; ?>" sortable-group-id="">
						<td class="hidden-phone">
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						<td>
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'urls.', $canCheckin); ?>
							<?php endif; ?>
							<?php if ($canEdit) : ?>
								<a href="<?php echo JRoute::_('index.php?option=com_cmshorturl&task=url.edit&id=' . (int) $item->id); ?>">
									<?php echo $this->escape($item->alias); ?></a>
							<?php else : ?>
								<?php echo $this->escape($item->alias); ?>
							<?php endif; ?>
						<td>
							<?php echo JHtml::_('cmshorturl.url', $item->url); ?>
						</td>
						<?php if ($displayUTM) : ?>
						<td class="hidden-phone">
							<?php echo $item->utm_campaign; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->utm_medium; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->utm_source; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->utm_content; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->utm_term; ?>
						</td>
						<?php endif; ?>
						<td>
							<?php echo $item->hits; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $item->id; ?>
						</td>
						<td>
							<a href="<?php echo CMShortURLHelper::buildShortURL($item->alias, $menuItemId); ?>" target="_blank">
								<i class="fa fa-fw fa-external-link"></i>
							</a>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
