<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

/**
 * Model class for url logging.
 *
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @since       1.0.0
 */
class CMShortURLModelLog extends JModelLegacy
{
	/**
	 * Log visit to database.
	 *
	 * @param   integer  $urlId      The id of the url.
	 * @param   string   $referer    The referral website.
	 * @param   string   $userAgent  The browser agent.
	 * @param   string   $address    The IP address.
	 * @param   string   $visited    The date time.
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public function log($urlId, $referer = '', $userAgent = '', $address = '', $visited = '')
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true)
			->insert($db->qn('#__cmshorturl_logs'))
			->columns(
				array(
					$db->qn('url_id'),
					$db->qn('http_referer'),
					$db->qn('http_user_agent'),
					$db->qn('remote_addr'),
					$db->qn('visited'),
				)
			)
			->values(
				$db->q((int) $urlId) . ', ' .
				$db->q($referer) . ', ' .
				$db->q($userAgent) . ', ' .
				$db->q($address) . ', ' .
				$db->q($visited)
			);
		$db->setQuery($query)->execute();
	}
}
