<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

/**
 * View class for redirect.
 *
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @since       1.0.0
 */
class CMShortURLViewUrl extends JViewLegacy
{
	protected $item;

	/**
	 * Method to display the view.
	 *
	 * @param   string  $tpl  A template file to load. [optional]
	 *
	 * @return  mixed  A string if successful, otherwise a JError object.
	 *
	 * @since   1.0.0
	 */
	public function display($tpl = null)
	{
		$model = JModelLegacy::getInstance('Url', 'CMShortURLModel');
		$item = $model->getItem();
		$app = JFactory::getApplication();

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));

			return false;
		}

		if (empty($item))
		{
			$app->redirect(JRoute::_('index.php'));
		}

		$utmParams = array();

		if ($item->utm_medium != '')
			$utmParams['utm_medium'] = $item->utm_medium;

		if ($item->utm_term != '')
			$utmParams['utm_term'] = $item->utm_term;

		if ($item->utm_content != '')
			$utmParams['utm_content'] = $item->utm_content;

		if ($item->utm_campaign != '')
			$utmParams['utm_campaign'] = $item->utm_campaign;

		if ($item->utm_source != '')
			$utmParams['utm_source'] = $item->utm_source;

		$model->updateHits($item->id);

		$item->url .= (strpos($item->url, '?') === false) ? '?' : '&';
		$item->url = $item->url . http_build_query($utmParams);

		$app->redirect($item->url);
	}
}
